package com.fs.oms.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;

/**
 * 仓库对象 oms_warehouse
 *
 * @author fs
 * @date 2023-05-24
 */
public class OmsWarehouse extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long warehouseId;

    /** 仓库名 */
    @Excel(name = "仓库名")
    private String warehouseName;

    /** 仓库编码 */
    @Excel(name = "仓库编码")
    private String warehouseCode;

    /** 类型 1渠道仓 2逻辑仓 3实体仓 4比例虚仓*/
    @Excel(name = "类型  1渠道仓 2逻辑仓 3实体仓 4比例虚仓")
    private Integer warehouseType;

    /** 联系人 */
    @Excel(name = "联系人")
    private String linkUsername;

    /** 联系电话 */
    @Excel(name = "联系电话")
    private String linkPhone;

    /** 所属省市区 */
    @Excel(name = "所属省市区")
    private String cityIds;

    /** 地址 */
    @Excel(name = "地址")
    private String address;

    /** 状态  0禁用  1启用 */
    @Excel(name = "状态  0禁用  1启用")
    private Integer status;

    /** 创建人ID */
    @Excel(name = "创建人ID")
    private Long createUserId;

    private Double rate;


    public void setWarehouseId(Long warehouseId)
    {
        this.warehouseId = warehouseId;
    }

    public Long getWarehouseId()
    {
        return warehouseId;
    }
    public void setWarehouseName(String warehouseName)
    {
        this.warehouseName = warehouseName;
    }

    public String getWarehouseName()
    {
        return warehouseName;
    }
    public void setWarehouseCode(String warehouseCode)
    {
        this.warehouseCode = warehouseCode;
    }

    public String getWarehouseCode()
    {
        return warehouseCode;
    }
    public void setWarehouseType(Integer warehouseType)
    {
        this.warehouseType = warehouseType;
    }

    public Integer getWarehouseType()
    {
        return warehouseType;
    }
    public void setLinkUsername(String linkUsername)
    {
        this.linkUsername = linkUsername;
    }

    public String getLinkUsername()
    {
        return linkUsername;
    }
    public void setLinkPhone(String linkPhone)
    {
        this.linkPhone = linkPhone;
    }

    public String getLinkPhone()
    {
        return linkPhone;
    }
    public void setCityIds(String cityIds)
    {
        this.cityIds = cityIds;
    }

    public String getCityIds()
    {
        return cityIds;
    }
    public void setAddress(String address)
    {
        this.address = address;
    }

    public String getAddress()
    {
        return address;
    }
    public void setStatus(Integer status)
    {
        this.status = status;
    }

    public Integer getStatus()
    {
        return status;
    }
    public void setCreateUserId(Long createUserId)
    {
        this.createUserId = createUserId;
    }

    public Long getCreateUserId()
    {
        return createUserId;
    }

    public Double getRate() {
        return rate;
    }

    public void setRate(Double rate) {
        this.rate = rate;
    }


    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("warehouseId", getWarehouseId())
            .append("warehouseName", getWarehouseName())
            .append("warehouseCode", getWarehouseCode())
            .append("warehouseType", getWarehouseType())
            .append("linkUsername", getLinkUsername())
            .append("linkPhone", getLinkPhone())
            .append("cityIds", getCityIds())
            .append("address", getAddress())
            .append("remark", getRemark())
            .append("status", getStatus())
            .append("createUserId", getCreateUserId())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
